#version 150

#moj_import <light.glsl>

uniform sampler2D Sampler2;

uniform vec4 ColorModulator;

in vec4 vertexColor;
in vec2 texCoord2;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor * minecraft_sample_lightmap(Sampler2, ivec2(texCoord2), vec4(1.0));
    fragColor = color * ColorModulator;
}
